<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<meta name="robots" content="NOINDEX, NOFOLLOW" /> <!-- Prevent indexing by search engines -->
<title>ARM Compute Library: KeyPoint Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script><script type="text/javascript" src="http://cdn.mathjax.org/mathjax/latest/MathJax.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">ARM Compute Library
   &#160;<span id="projectnumber">17.04</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.xhtml"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.xhtml"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.xhtml"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.xhtml"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.xhtml"><span>Data&#160;Structures</span></a></li>
      <li><a href="classes.xhtml"><span>Data&#160;Structure&#160;Index</span></a></li>
      <li><a href="inherits.xhtml"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.xhtml"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('structarm__compute_1_1_key_point.xhtml','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">KeyPoint Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a class="el" href="struct_keypoint.xhtml">Keypoint</a> type.  
 <a href="structarm__compute_1_1_key_point.xhtml#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_types_8h_source.xhtml">Types.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:af6d3062751bd565decb1a2cd3b63bdb2"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structarm__compute_1_1_key_point.xhtml#af6d3062751bd565decb1a2cd3b63bdb2">x</a> { 0 }</td></tr>
<tr class="memdesc:af6d3062751bd565decb1a2cd3b63bdb2"><td class="mdescLeft">&#160;</td><td class="mdescRight">X coordinates.  <a href="#af6d3062751bd565decb1a2cd3b63bdb2">More...</a><br /></td></tr>
<tr class="separator:af6d3062751bd565decb1a2cd3b63bdb2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af64066d134a77e01b3d6eb8da813627a"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structarm__compute_1_1_key_point.xhtml#af64066d134a77e01b3d6eb8da813627a">y</a> { 0 }</td></tr>
<tr class="memdesc:af64066d134a77e01b3d6eb8da813627a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Y coordinates.  <a href="#af64066d134a77e01b3d6eb8da813627a">More...</a><br /></td></tr>
<tr class="separator:af64066d134a77e01b3d6eb8da813627a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2c1c8f9331368f38bfc3eaee260b59a6"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structarm__compute_1_1_key_point.xhtml#a2c1c8f9331368f38bfc3eaee260b59a6">strength</a> { 0.f }</td></tr>
<tr class="memdesc:a2c1c8f9331368f38bfc3eaee260b59a6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Strength of the point.  <a href="#a2c1c8f9331368f38bfc3eaee260b59a6">More...</a><br /></td></tr>
<tr class="separator:a2c1c8f9331368f38bfc3eaee260b59a6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d28dec57cce925ad92342891bd71e7c"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structarm__compute_1_1_key_point.xhtml#a1d28dec57cce925ad92342891bd71e7c">scale</a> { 0.f }</td></tr>
<tr class="memdesc:a1d28dec57cce925ad92342891bd71e7c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Scale initialized to 0 by the corner detector.  <a href="#a1d28dec57cce925ad92342891bd71e7c">More...</a><br /></td></tr>
<tr class="separator:a1d28dec57cce925ad92342891bd71e7c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0e3266fc15309697502533db62b682af"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structarm__compute_1_1_key_point.xhtml#a0e3266fc15309697502533db62b682af">orientation</a> { 0.f }</td></tr>
<tr class="memdesc:a0e3266fc15309697502533db62b682af"><td class="mdescLeft">&#160;</td><td class="mdescRight">Orientation initialized to 0 by the corner detector.  <a href="#a0e3266fc15309697502533db62b682af">More...</a><br /></td></tr>
<tr class="separator:a0e3266fc15309697502533db62b682af"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8ca2aae59762685dd38143e5f8267147"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structarm__compute_1_1_key_point.xhtml#a8ca2aae59762685dd38143e5f8267147">tracking_status</a> { 0 }</td></tr>
<tr class="memdesc:a8ca2aae59762685dd38143e5f8267147"><td class="mdescLeft">&#160;</td><td class="mdescRight">Status initialized to 1 by the corner detector, set to 0 when the point is lost.  <a href="#a8ca2aae59762685dd38143e5f8267147">More...</a><br /></td></tr>
<tr class="separator:a8ca2aae59762685dd38143e5f8267147"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7cfd13d282af770aaa971755fa092fca"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structarm__compute_1_1_key_point.xhtml#a7cfd13d282af770aaa971755fa092fca">error</a> { 0.f }</td></tr>
<tr class="memdesc:a7cfd13d282af770aaa971755fa092fca"><td class="mdescLeft">&#160;</td><td class="mdescRight">Tracking error initialized to 0 by the corner detector.  <a href="#a7cfd13d282af770aaa971755fa092fca">More...</a><br /></td></tr>
<tr class="separator:a7cfd13d282af770aaa971755fa092fca"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p><a class="el" href="struct_keypoint.xhtml">Keypoint</a> type. </p>

<p>Definition at line <a class="el" href="_types_8h_source.xhtml#l00242">242</a> of file <a class="el" href="_types_8h_source.xhtml">Types.h</a>.</p>
</div><h2 class="groupheader">Field Documentation</h2>
<a class="anchor" id="a7cfd13d282af770aaa971755fa092fca"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float error { 0.f }</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Tracking error initialized to 0 by the corner detector. </p>

<p>Definition at line <a class="el" href="_types_8h_source.xhtml#l00250">250</a> of file <a class="el" href="_types_8h_source.xhtml">Types.h</a>.</p>

</div>
</div>
<a class="anchor" id="a0e3266fc15309697502533db62b682af"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float orientation { 0.f }</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Orientation initialized to 0 by the corner detector. </p>

<p>Definition at line <a class="el" href="_types_8h_source.xhtml#l00248">248</a> of file <a class="el" href="_types_8h_source.xhtml">Types.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1d28dec57cce925ad92342891bd71e7c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float scale { 0.f }</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Scale initialized to 0 by the corner detector. </p>

<p>Definition at line <a class="el" href="_types_8h_source.xhtml#l00247">247</a> of file <a class="el" href="_types_8h_source.xhtml">Types.h</a>.</p>

</div>
</div>
<a class="anchor" id="a2c1c8f9331368f38bfc3eaee260b59a6"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float strength { 0.f }</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Strength of the point. </p>

<p>Definition at line <a class="el" href="_types_8h_source.xhtml#l00246">246</a> of file <a class="el" href="_types_8h_source.xhtml">Types.h</a>.</p>

</div>
</div>
<a class="anchor" id="a8ca2aae59762685dd38143e5f8267147"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t tracking_status { 0 }</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Status initialized to 1 by the corner detector, set to 0 when the point is lost. </p>

<p>Definition at line <a class="el" href="_types_8h_source.xhtml#l00249">249</a> of file <a class="el" href="_types_8h_source.xhtml">Types.h</a>.</p>

</div>
</div>
<a class="anchor" id="af6d3062751bd565decb1a2cd3b63bdb2"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t x { 0 }</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>X coordinates. </p>

<p>Definition at line <a class="el" href="_types_8h_source.xhtml#l00244">244</a> of file <a class="el" href="_types_8h_source.xhtml">Types.h</a>.</p>

</div>
</div>
<a class="anchor" id="af64066d134a77e01b3d6eb8da813627a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t y { 0 }</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Y coordinates. </p>

<p>Definition at line <a class="el" href="_types_8h_source.xhtml#l00245">245</a> of file <a class="el" href="_types_8h_source.xhtml">Types.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>arm_compute/core/<a class="el" href="_types_8h_source.xhtml">Types.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacearm__compute.xhtml">arm_compute</a></li><li class="navelem"><a class="el" href="structarm__compute_1_1_key_point.xhtml">KeyPoint</a></li>
    <li class="footer">Generated on Wed Apr 12 2017 17:30:10 for ARM Compute Library by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
